Bug 832358 - NetworkManager-gnome: segfaults during exit
NetworkManager-gnome: segfaults during exit
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: NetworkManager (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Dan Williams
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 05:06 EDT by Mikolaj Izdebski
Modified: 2013-02-22 19:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-22 19:08:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (18.28 KB, text/plain)
2012-06-15 05:06 EDT, Mikolaj Izdebski
no flags Details

  None (edit)
Description Mikolaj Izdebski 2012-06-15 05:06:13 EDT
Created attachment 592079 [details]
backtrace

Description of problem:
NetworkManager-gnome segfaults during exit.

Version-Release number of selected component (if applicable):
0.8.1-15.el6.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Run /usr/bin/nm-connection-editor
2. Press Cancel button
  
Actual results:
Program received signal SIGSEGV, Segmentation fault.

Expected results:
Clean exit.

Additional info:
The connection variable seems to be overwritten by something else.
First it's null: assertion `connection != NULL' failed
Then it's value is some trash: connection=0xfffffffffffffff8

Full backtrace attached.
Comment 2 Jirka Klimes 2012-06-25 03:52:33 EDT
I'm not able to reproduce.

Would you mind trying with latest release 0.8.1-33.el6.x86_64?
Also, what are the exact steps to reproduce? There is no "Cancel" button in main editor window. Do you mean clicking "Edit..." for a connection and then "Cancel" the editing dialog?
Comment 3 RHEL Product and Program Management 2012-07-10 04:42:17 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2012-07-10 21:42:10 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 5 Mikolaj Izdebski 2012-07-24 10:43:08 EDT
(In reply to comment #2)
> I'm not able to reproduce.
Currently I'm not able to reproduce this either. That could be because my VPN settings have changed.

> Would you mind trying with latest release 0.8.1-33.el6.x86_64?
Not reproducible.

> Also, what are the exact steps to reproduce? There is no "Cancel" button in
> main editor window. Do you mean clicking "Edit..." for a connection and then
> "Cancel" the editing dialog?
1. Run /usr/bin/nm-connection-editor
2. Close the window by clicking the "Close" button

Note that closing with escape key (or alt-f4) produces different output than clicking on close button (or pressing alt+c). The segfault was caused by clicking the "Close" button in "Network Connections" window.
Comment 6 RHEL Product and Program Management 2012-12-14 03:44:46 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 7 Pavel Šimerda (pavlix) 2013-02-22 19:08:54 EST
Please reopen if reproduced.

Note You need to log in before you can comment on or make changes to this bug.